/********************************************************************
 * Copyright © 2005 VHA. All rights reserved
 ********************************************************************/


package gov.va.med.fw.batchprocess;

import java.util.Date;

/**
 * Initial javadoc for class MockDataFileSingleRowIncrementProcess.
 * TODO - Add content here
 * 
 * Created Feb 16, 2006 5:58:48 PM
 * @author DNS   BOHMEG
 */
public class MockDataFileSingleRowIncrementProcess extends
		AbstractDataFileSingleRowIncrementProcess {
	static boolean ok;

	/* (non-Javadoc)
	 * @see gov.va.med.fw.batchprocess.AbstractDataFileSingleRowIncrementProcess#processDataRecord(java.lang.Object)
	 */
	protected boolean processDataRecord( DataFileProcessExecutionContext context, Object bean) {
		System.out.println("MockDataFileSingleRowIncrementProcess got this bean: " + bean);
		ok = !ok;
		return ok;
	}
	
	protected Object createExceptionObject(String rawData) {
		MockDataObject obj = new MockDataObject();
		obj.setName("bad name");
		obj.setBirthDate(new Date());
		obj.setAge(55);
		obj.setFavoriteRockGroup("no idea");
		return obj;
	}	
}
